# Save the welcome screen

Saves the welcome screen.

```http
PUT https://api.pozy.ai/v1/connect/welcome-screen
```

- Area: Accounts & connections / Connect
- Auth: Authorization: Bearer pz_live_...

## Request body

Content type: `application/json`

- `showByDefault`, boolean, required
- `brandName`, string: 1 to 60 characters
- `logoUrl`, string (URL): Up to 2048 characters
- `theme`, object

## Example request

```bash
curl -X PUT "https://api.pozy.ai/v1/connect/welcome-screen" \
  -H "Authorization: Bearer $POZY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "showByDefault": true
}'
```

```ts
const res = await fetch("https://api.pozy.ai/v1/connect/welcome-screen", {
  method: "PUT",
  headers: {
    Authorization: `Bearer ${process.env.POZY_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    showByDefault: true
  }),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.put(
    "https://api.pozy.ai/v1/connect/welcome-screen",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    json={
        "showByDefault": True,
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `showByDefault`, boolean
- `brandName`, string: Can be null
- `logoUrl`, string: Can be null
- `theme`, object: Can be null

```json
{
  "showByDefault": true,
  "brandName": "Acme",
  "logoUrl": "https://pozy.ai/media/example-1.jpg",
  "theme": {}
}
```
